Bug 30808 - Release team 23.05
Summary: Release team 23.05
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 29300
Blocks:
  Show dependency treegraph
 
Reported: 2022-05-19 12:28 UTC by Martin Renvoize
Modified: 2022-11-28 16:44 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.00, 21.05.16


Attachments
Bug 30808: Add the 22.05 release team. (2.07 KB, patch)
2022-05-19 12:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30808: Add the 23.05 release team (2.50 KB, patch)
2022-11-25 14:32 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30808: Add support for version codenames (4.16 KB, patch)
2022-11-25 15:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30808: Add a dedications tab to the about page (2.16 KB, patch)
2022-11-25 15:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30808: Add a dedications tab to the about page (2.19 KB, patch)
2022-11-25 15:39 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2022-05-19 12:28:26 UTC
Add the next release team :)
Comment 1 Martin Renvoize 2022-05-19 12:42:01 UTC
Created attachment 135202 [details] [review]
Bug 30808: Add the 22.05 release team.

Test plan
1/ Check against
   https://wiki.koha-community.org/wiki/Release_Teams
Comment 2 Martin Renvoize 2022-05-19 12:42:49 UTC
This should be one of the last things pushed as you do go through the release process Fridolin :)
Comment 3 Fridolin Somers 2022-05-20 06:38:18 UTC
Thanks a lot.
"To infinity and beyond ..."
Comment 4 Fridolin Somers 2022-05-26 06:52:47 UTC
I PQA and push
Comment 5 Marcel de Rooy 2022-05-28 09:05:18 UTC
(In reply to Martin Renvoize from comment #1)
> Created attachment 135202 [details] [review] [review]
> Bug 30808: Add the 22.05 release team.
> 
> Test plan
> 1/ Check against
>    https://wiki.koha-community.org/wiki/Release_Teams

Commit title is misleading
Comment 6 Fridolin Somers 2022-05-28 09:16:42 UTC
> Commit title is misleading
Indeed it is 22.11 team

Sorry already pushed
Comment 7 Victor Grousset/tuxayo 2022-06-27 23:25:41 UTC
Backported: Pushed to 21.05.x branch for 21.05.16
Comment 8 Martin Renvoize 2022-11-25 14:32:47 UTC
Created attachment 144256 [details] [review]
Bug 30808: Add the 23.05 release team

This patch updates the teams.yaml to include the voted in 23.05 release
team and also updates the release date of 22.11 to match the actual
release.

Test plan
1/ Check against https://wiki.koha-community.org/wiki/Release_Teams
Comment 9 Martin Renvoize 2022-11-25 15:22:07 UTC
Created attachment 144263 [details] [review]
Bug 30808: Add support for version codenames

This patch adds the 'Rosalie' codename to the 22.11 release and adds
corresponding support to the about page for displaying it.
Comment 10 Martin Renvoize 2022-11-25 15:36:37 UTC
Created attachment 144265 [details] [review]
Bug 30808: Add a dedications tab to the about page
Comment 11 Martin Renvoize 2022-11-25 15:39:47 UTC
Created attachment 144266 [details] [review]
Bug 30808: Add a dedications tab to the about page
Comment 12 Victor Grousset/tuxayo 2022-11-28 00:26:10 UTC
> This patch adds the 'Rosalie' codename to the 22.11 release and adds corresponding support to the about page for displaying it.

Thanks a lot!
Comment 13 Martin Renvoize 2022-11-28 16:44:46 UTC
Hopefully I split the commits up enough that it should be simple enough to backport what's needed and ignore the rest ;P